Skip to main content
GET
List pending thread messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

threadId
string
required

Response

Pending thread messages in consume order.

content
object[]
required

Ordered message content, bounded to 512 KiB of encoded JSON. At most 20 image blocks are permitted and image IDs must be unique within the message.

Required array length: 1 - 40 elements
id
string
required
queuedAt
string<date-time>
required
submitMode
enum<string>
required
Available options:
queue,
steer,
interrupt
turnId
string
required
principal
object